LibreOffice LibreOffice 7.2 SDK API Reference

Exported Interfaces | List of all members
TransientDocumentsDocumentContentFactory Service Reference

specifies a factory for com::sun::star::ucb::TransientDocumentsDocumentContents. More...

`import"TransientDocumentsDocumentContentFactory.idl";`

Inheritance diagram for TransientDocumentsDocumentContentFactory:

## Exported Interfaces
interface | com::sun::star::frame::XTransientDocumentsDocumentContentFactory
| a factory for TransientDocumentsDocumentContents. More...

## Additional Inherited Members
Public Member Functions inherited from XTransientDocumentsDocumentContentFactory
com::sun::star::ucb::XContent | createDocumentContent ([in] com::sun::star::frame::XModel Model) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a com::sun::star::ucb::TransientDocumentsDocumentContent based on a given com::sun::star::document::OfficeDocument. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a factory for com::sun::star::ucb::TransientDocumentsDocumentContents.

Since
  OOo 2.0

## Exported Interfaces

## ◆ com::sun::star::frame::XTransientDocumentsDocumentContentFactory

interface com::sun::star::frame::XTransientDocumentsDocumentContentFactory

a factory for TransientDocumentsDocumentContents.

The documentation for this service was generated from the following file:

- com/sun/star/frame/TransientDocumentsDocumentContentFactory.idl